Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

14 Feb 1997 08:21:51 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Jeremy Blackman <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Jeremy Blackman wrote:

> But what if, at some point in the future, I wanted to write and release
> something shareware (since I prefer gcc over VC++, generally speaking.  I
> use VC++ enough at work, thanks).  While I understand that if I then did
> not wish to release the source code (which with a shareware program is
> fair enough), then I'd need to pay Cygnus a fee, what is still unclear is
> HOW MUCH this fee exactly would be.

You don't have to pay Cygnus just for using gcc.  You only have to pay
to distribute ("copy"; it's a copyright) something that belongs to them.
Building an executable that is linked with libcygwin.a, for instance,
incorporates into your executable pieces that belong to them.
Distributing cygwin.dll is distributing something that belongs to them.
But if you have built something that is independent of the library,
via mingw32, say, you don't have to pay Cygnus anything.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".